=== XArchive/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(XArchive)

add_subdirectory(${PROJECT_SOURCE_DIR}/3rdparty/bzip2)
add_subdirectory(${PROJECT_SOURCE_DIR}/3rdparty/lzma)
add_subdirectory(${PROJECT_SOURCE_DIR}/3rdparty/zlib)
