=== XYara/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(XYara)

add_subdirectory(${PROJECT_SOURCE_DIR}/3rdparty/yara)
