=== debian/changelog ===
die-engine (3.09-1parrot1) stable; urgency=medium

  * Fix lintian error
  * Add libc6 to Depends
  * Replace libc by ${misc:Depends}
  * Remove trailing space
  * Try moving info stuff to /usr/share/doc
  * Try enable Debian hardening build
  * Try building with cmake
  * New upstream version 3.09

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 30 Dec 2023 11:40:08 +0700

die-engine (3.08-0parrot3) stable; urgency=medium

  * Use online CI URL instead

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Nov 2023 19:05:44 +0700

die-engine (3.08-0parrot2) parrot-updates; urgency=medium

  * Update changelog for 3.08-0parrot1 release
  * Add CI script

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 07:17:44 +0700

die-engine (3.08-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.08

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 07:17:32 +0700

die-engine (3.07-0parrot2) parrot-updates; urgency=medium

  * Change new installation path of info

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 04 Feb 2023 17:32:27 +0700

die-engine (3.07-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.07

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Feb 2023 23:23:03 +0700

die-engine (3.06-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.06

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 05 Sep 2022 21:01:35 +0700

die-engine (3.05-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.05

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 09 Aug 2022 03:21:07 +0700

die-engine (3.04-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.04

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 27 Mar 2022 22:49:33 +0700

die-engine (3.03-0parrot3) rolling; urgency=medium

  * Fix missing pkg-config in build-depends

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 17 Dec 2021 18:56:03 +0700

die-engine (3.03-0parrot2) rolling; urgency=medium

  * No longer use custom install file
  * Use new build commands for new version

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Nov 2021 14:31:03 +0700

die-engine (3.03-0parrot1) rolling-testing; urgency=medium

  * New upstream version 3.03

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Nov 2021 13:24:59 +0700

die-engine (3.01-0parrot4) rolling; urgency=medium

  * Fix wrong syntax in watch file

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Nov 2021 13:21:56 +0700

die-engine (3.01-0parrot3) rolling; urgency=medium

  * Move launchers to parrot-menu
  * Add watch file for automation update

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 14 Nov 2021 13:20:03 +0700

die-engine (3.01-0parrot2) rolling-testing; urgency=medium

  * Fix template copyright

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 14 Apr 2021 11:12:57 +0700

die-engine (3.01-0parrot1) rolling-testing; urgency=medium

  * Add parrot-build script
  * Fix build depends and crash on cobuild
  * Fix depends for GUI of DIE
  * Add icon to installation
  * Add launchers to installer
  * Add runtime libs
  * Add descriptions
  * Binary from file instead of generate from script
  * Add new build script
  * Move build script to debian/helper-scripts

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 14 Apr 2021 10:59:58 +0700

die-engine (3.01-0parrot0) rolling-testing; urgency=medium

  * Create upstream package

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 14 Apr 2021 06:49:07 +0700
