=== debian/control ===
Source: die-engine
Section: devel
Priority: optional
Maintainer: Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends:
 debhelper-compat (= 13),
 qtscript5-dev,
 qt5-qmake,
 bash (>=5.2.15),
 libqt5svg5-dev,
 libqt5opengl5-dev,
 qttools5-dev-tools,
 pkg-config,
 cmake
Standards-Version: 4.5.1
Homepage: https://horsicq.github.io/
Vcs-Browser: https://nest.parrotsec.org/packages/tools/die-engine
Vcs-Git: https://nest.parrotsec.org/packages/tools/die-engine.git
Rules-Requires-Root: no

Package: detect-it-easy
Architecture: amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libqt5core5a,
 libqt5svg5,
 libqt5gui5,
 libqt5widgets5,
 libqt5opengl5,
 libqt5dbus5,
 libqt5scripttools5,
 libqt5script5,
 libqt5network5,
 libicu67,
Description: A program for determining types of files.
 "DIE" - Detect-It-Easy, is a cross-platform application
 that determines the type of file, and then sequentially
 loads all the signatures, which lie in the corresponding
 folder. Currently the program defines the following types:
 - MSDOS executable files MS-DOS
 - PE executable files Windows
 - ELF executable files Linux
 - MACH executable files Mac OS
 - Binary all other files
