=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --sourcedirectory=.
override_dh_auto_configure:
	dh_auto_configure -- -Wformat -Wformat-security -Werror=format-security
override_dh_fixperms:
	find debian/ -type f -name *.sg -exec chmod 644 {} \;
	find debian/ -type f -name *.html -exec chmod 0644 {} \;
	find debian/ -type f -name die.desktop -exec rm {} \;
	dh_fixperms

override_dh_auto_install:
	dh_auto_install
	mv ./debian/detect-it-easy/usr/lib/x86_64-linux-gnu/die/ ./debian/detect-it-easy/usr/lib/
