=== debian/watch ===
version=4

https://github.com/horsicq/DIE-engine/releases/ .*/die_sourcecode_(\d.*)\.tar\.gz
